Adobe PhoneGap Build platforms?

Discussion and feedback on Construct 2

Post » Tue Sep 16, 2014 8:33 pm

Hi guys,

So trying out the PhoneGap cloud compiler in preparation to move away from CocoonJS. Now it says the following: "Adobe PhoneGap is a standards-based, open-source development framework for building cross-platform mobile apps with HTML, CSS and JavaScript for iOS, Android™, Windows® Phone, webOS, BlackBerry® and more."

Yet after I submitted a zipped up phonegap export of my game (R178) I could only see iOS, Android and Windows phone. In my account settings I could also see options to add the blackberry certificates.

So how do I get blackberry on my dashboard :?:
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Wed Sep 17, 2014 9:04 am

Bump!
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Wed Sep 17, 2014 1:53 pm

It looks like they removed support for the other platforms. It might be better to direct questions about this to the PhoneGap Build service.
Scirra Founder
B
402
S
238
G
89
Posts: 24,613
Reputation: 195,993

Post » Wed Sep 17, 2014 2:04 pm

@Ashley Thanks. You have at least confirmed that its not something I need configure to setup. If that's the case they need to update their website so it doesn't say things like "Support multiple platforms. Maximize your productivity while minimizing production time. Target iOS, Android™, Windows® Phone, Blackberry® 5/6/7 and webOS all with a single codebase." I'll take it up with them.
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Wed Sep 17, 2014 2:34 pm

ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Wed Sep 17, 2014 3:47 pm

@Ashley In case you're interested they said they only now support iOS, Android and Windows phone. Despite saying otherwise on their front page.

If you want to use the other platforms you can do as they suggest on the above thread.

If you intend to use them, you would have to set your app version in config.xml to 2.9.0 using this code: <code><preference name="phonegap-version" value="3.3.0" /></code>.//Don't include code tag, it's just to allow the script show.
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Wed Sep 17, 2014 4:02 pm

We have a separate Blackberry exporter and I don't think anyone's really after WebOS or Symbian export, so I think we'll leave it... although our Blackberry exporter does need updating...
Scirra Founder
B
402
S
238
G
89
Posts: 24,613
Reputation: 195,993

Post » Wed Sep 17, 2014 4:15 pm

@Ashley The reason why I am interested is because if you can build all from phonegap then it makes things like advertising, IAP or any other platform specific plugins easier to use and to keep up to date. If they have depreciated it then it takes some of the shine away from their cloud builder as a one stop shop for the four main mobile platforms (iOS, Android, WP8, Blackberry) and pushes me closer to doing local builds.

As for having a separate Blackberry exporter... it's not usable. The process has completely changed. See my post here about it => https://www.scirra.com/forum/viewtopic.php?f=146&t=115035. If you want help I can walk you through the new process, but I warn you it is a ball ache and involves a standard HTML export.
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542


Return to Construct 2 General

Who is online

Users browsing this forum: No registered users and 3 guests